Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.process
Interface WorkItemManager

    public interface WorkItemManager

A work item manager is responsible for finding the right work item handler when a work item should be executed and should be notified when this work item has been completed (or aborted).

Method Summary
`void` | `abortWorkItem(long id)` Notifies the work item manager that the work item with the given id could not be executed and should be aborted.
`void` | `completeWorkItem(long id, Map<String,Object> results)` Notifies the work item manager that the work item with the given id has been completed.
`void` | `registerWorkItemHandler(String workItemName, WorkItemHandler handler)` Register the given handler for all work items of the given type of work

Method Detail

### completeWorkItem

    void completeWorkItem(long id,
                          Map<String,Object> results)

  Notifies the work item manager that the work item with the given id has been completed. Results related to the execution of this work item can be passed.

  Parameters:
    `id` - the id of the work item that has been completed
    `results` - the results related to this work item, or `null` if there are no results

### abortWorkItem

    void abortWorkItem(long id)

  Notifies the work item manager that the work item with the given id could not be executed and should be aborted.

  Parameters:
    `id` - the id of the work item that should be aborted

### registerWorkItemHandler

    void registerWorkItemHandler(String workItemName,
                                 WorkItemHandler handler)

  Register the given handler for all work items of the given type of work

  Parameters:
    `workItemName` - the type of work this work item handler can execute
    `handler` - the handler for executing work items

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.